## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2021-08-23
version: "2.1"

services:
  nextcloud:
    image: ghcr.io/linuxserver/nextcloud
    container_name: nextcloud
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    networks:
      - nextcloud_network
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - PUID=1000 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=100 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - TZ=Europe/Paris
    volumes:
      - /volume1/docker/nextcloud/config:/config
      - /volume1/docker/data:/data
    ports:
      - 443:443  # WebUI Utiliser un autre port si le port par defaut est deja pris sur votre hote
    restart: unless-stopped

networks:
  nextcloud_network:
    external:
      name: nextcloud_network